#ifndef __PPSI_EXPORTS_H
#define __PPSI_EXPORTS_H

#include <stdio.h>
#include <stdlib.h>

#define PPSIEXP_COMMAND_WR_TRACKING 1
#define PPSIEXP_COMMAND_L1SYNC_TRACKING 2
#define PPSIEXP_RET_OK			0
#define PPSIEXP_RET_ERROR_CMD		1
#define PPSIEXP_RET_ERROR_VAL		2

/* Commands for ppsiexp_update_param_cmd */
#define PPSIEXP_PARAM_PRIORITY1_CMD	1
#define PPSIEXP_PARAM_PRIORITY2_CMD	2

/* Commands for ppsiexp_update_param64_cmd */
#define PPSIEXP_PARAM64_ALPHA_CMD	1


/* Export structures, shared by server and client for argument matching */
#ifdef PPSI_EXPORT_STRUCTURES

struct minipc_pd __rpcdef_cmd = {
	.name = "cmd",
	.retval = MINIPC_ARG_ENCODE(MINIPC_ATYPE_INT, int),
	.args = {
		MINIPC_ARG_ENCODE(MINIPC_ATYPE_INT, int),
		MINIPC_ARG_ENCODE(MINIPC_ATYPE_INT, int),
		MINIPC_ARG_END,
	},
};

struct minipc_pd ppsiexp_update_param_cmd = {
	.name = "params",
	.retval = MINIPC_ARG_ENCODE(MINIPC_ATYPE_INT, int),
	.args = {
		MINIPC_ARG_ENCODE(MINIPC_ATYPE_INT, int), /* Command/parameter */
		MINIPC_ARG_ENCODE(MINIPC_ATYPE_INT, int), /* New value */
		MINIPC_ARG_END,
	},
};

struct minipc_pd ppsiexp_update_param64_cmd = {
	.name = "params64",
	.retval = MINIPC_ARG_ENCODE(MINIPC_ATYPE_INT, int),
	.args = {
		MINIPC_ARG_ENCODE(MINIPC_ATYPE_INT, int), /* Command/parameter */
		MINIPC_ARG_ENCODE(MINIPC_ATYPE_INT64, int64_t), /* New value */
		MINIPC_ARG_END,
	},
};

#endif /* PPSI_EXPORT_STRUCTURES */

#endif /* __PPSI_EXPORTS_H */
